curl -X POST 'https://api.sendforsign.com/api/client' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "read",
"client": {
"clientKey": "CLIENT_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION"
}
}
}'
{
"client": {
"createTime": "2023-12-01 12:18:55",
"changeTime": "2023-12-01 12:18:55",
"clientKey": "CLIENT_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION"
},
"code": "200",
"message": "Client found"
}
Client
Read client
Get information about a specific client.
POST
/
api
/
client
curl -X POST 'https://api.sendforsign.com/api/client' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "read",
"client": {
"clientKey": "CLIENT_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION"
}
}
}'
{
"client": {
"createTime": "2023-12-01 12:18:55",
"changeTime": "2023-12-01 12:18:55",
"clientKey": "CLIENT_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION"
},
"code": "200",
"message": "Client found"
}
Documentation Index
Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
Use this file to discover all available pages before exploring further.
Body parameters
Show child attribute
Show child attribute
Action type.
Structure, at least one of the fields must be filled.
Response
client
Client structure.
Show child attribute
Show child attribute
The code of the answer.
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/client' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "read",
"client": {
"clientKey": "CLIENT_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION"
}
}
}'
{
"client": {
"createTime": "2023-12-01 12:18:55",
"changeTime": "2023-12-01 12:18:55",
"clientKey": "CLIENT_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION"
},
"code": "200",
"message": "Client found"
}
⌘I